
package eu.dnetlib.dhp.skgif.model;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author miriam.baglioni
 * @Date 01/09/23
 */
public class Manifestation implements Serializable {
	@JsonProperty("product_local_type")
	private String product_local_type;
	@JsonProperty("product_local_type_schema")
	private String product_local_type_schema;
	private List<Dates> dates;
	@JsonProperty("peer_review")
	private String peer_review;
	@JsonProperty("metadata_curation")
	private String metadata_curation;
	private String url;
	private String pid;
	@JsonProperty("access_right")
	private String access_right;
	private String licence;
	@JsonProperty("licance_schema")
	private String licence_schema;
	private Biblio biblio;
	private MinVenue venue;
	private List<String> eoscId;

	public List<String> getEoscId() {
		return eoscId;
	}

	public void setEoscId(List<String> eoscId) {
		this.eoscId = eoscId;
	}

	@JsonProperty("hosting_datasource")
	private MinVenue hosting_datasource;

	public String getProduct_local_type() {
		return product_local_type;
	}

	public void setProduct_local_type(String product_local_type) {
		this.product_local_type = product_local_type;
	}

	public String getProduct_local_type_schema() {
		return product_local_type_schema;
	}

	public void setProduct_local_type_schema(String product_local_type_schema) {
		this.product_local_type_schema = product_local_type_schema;
	}

	public List<Dates> getDates() {
		return dates;
	}

	public void setDates(List<Dates> dates) {
		this.dates = dates;
	}

	public String getPeer_review() {
		return peer_review;
	}

	public void setPeer_review(String peer_review) {
		this.peer_review = peer_review;
	}

	public String getMetadata_curation() {
		return metadata_curation;
	}

	public void setMetadata_curation(String metadata_curation) {
		this.metadata_curation = metadata_curation;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getAccess_right() {
		return access_right;
	}

	public void setAccess_right(String access_right) {
		this.access_right = access_right;
	}

	public String getLicence() {
		return licence;
	}

	public void setLicence(String licence) {
		this.licence = licence;
	}

	public String getLicence_schema() {
		return licence_schema;
	}

	public void setLicence_schema(String licence_schema) {
		this.licence_schema = licence_schema;
	}

	public Biblio getBiblio() {
		return biblio;
	}

	public void setBiblio(Biblio biblio) {
		this.biblio = biblio;
	}

	public MinVenue getVenue() {
		return venue;
	}

	public void setVenue(MinVenue venue) {
		this.venue = venue;
	}

	public MinVenue getHosting_datasource() {
		return hosting_datasource;
	}

	public void setHosting_datasource(MinVenue hosting_datasource) {
		this.hosting_datasource = hosting_datasource;
	}
}
